import React from 'react';
import { FormFieldPresence } from '@sanity/base/presence';
import { Path, Marker } from '@sanity/types';
import { CodeInputType, CodeInputValue } from './types';
import 'brace/mode/batchfile';
import 'brace/mode/css';
import 'brace/mode/html';
import 'brace/mode/typescript';
import 'brace/mode/javascript';
import 'brace/mode/json';
import 'brace/mode/jsx';
import 'brace/mode/markdown';
import 'brace/mode/php';
import 'brace/mode/sass';
import 'brace/mode/scss';
import 'brace/mode/python';
import 'brace/mode/sh';
import 'brace/mode/text';
import './groq';
import 'brace/theme/github';
import 'brace/theme/monokai';
import 'brace/theme/terminal';
import 'brace/theme/tomorrow';
export interface CodeInputProps {
    compareValue?: CodeInputValue;
    focusPath: Path;
    level: number;
    markers: Marker[];
    onBlur: () => void;
    onChange: (...args: any[]) => void;
    onFocus: (path: Path) => void;
    presence: FormFieldPresence[];
    readOnly?: boolean;
    type: CodeInputType;
    value?: CodeInputValue;
}
declare const CodeInput: React.ForwardRefExoticComponent<CodeInputProps & React.RefAttributes<{
    focus: () => void;
}>>;
export default CodeInput;
//# sourceMappingURL=CodeInput.d.ts.map